// David Eberly, Geometric Tools, Redmond WA 98052
// Copyright (c) 1998-2019
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
// File Version: 3.0.5 (2019/03/19)

#pragma once

// Extraction
#include <Imagics/GteCurveExtractor.h>
#include <Imagics/GteCurveExtractorSquares.h>
#include <Imagics/GteCurveExtractorTriangles.h>
#include <Imagics/GteMarchingCubes.h>
#include <Imagics/GteMarchingCubesTable.h>
#include <Imagics/GteSurfaceExtractor.h>
#include <Imagics/GteSurfaceExtractorCubes.h>
#include <Imagics/GteSurfaceExtractorMC.h>
#include <Imagics/GteSurfaceExtractorTetrahedra.h>

// Images
#include <Imagics/GteImage.h>
#include <Imagics/GteImage2.h>
#include <Imagics/GteImage3.h>

// Filters
#include <Imagics/GteCurvatureFlow2.h>
#include <Imagics/GteCurvatureFlow3.h>
#include <Imagics/GteFastGaussianBlur1.h>
#include <Imagics/GteFastGaussianBlur2.h>
#include <Imagics/GteGaussianBlur2.h>
#include <Imagics/GteGaussianBlur3.h>
#include <Imagics/GteGradientAnisotropic2.h>
#include <Imagics/GteGradientAnisotropic3.h>
#include <Imagics/GtePdeFilter.h>
#include <Imagics/GtePdeFilter1.h>
#include <Imagics/GtePdeFilter2.h>
#include <Imagics/GtePdeFilter3.h>

// Utilities
#include <Imagics/GteHistogram.h>
#include <Imagics/GteImageUtility2.h>
#include <Imagics/GteImageUtility3.h>

// Segmenters
#include <Imagics/GteAdaptiveSkeletonClimbing2.h>
#include <Imagics/GteAdaptiveSkeletonClimbing3.h>
#include <Imagics/GteFastMarch2.h>
#include <Imagics/GteFastMarch3.h>
